﻿label Dungeon_base_level_x:
    $ level_x_dungeon = Dungeon(exit_label="Hangsman_hill")
    $ doors_available = False
    
    $ level_x_dungeon.add_event("dungeon_00_walk", "random")
    $ level_x_dungeon.add_event("dungeon_00_combat_1", "single")
    $ level_x_dungeon.add_event("dungeon_00_combat_2", "single")
    $ level_x_dungeon.add_event("dungeon_00_combat_3", "single")
    $ level_x_dungeon.add_event("dungeon_00_combat_4", "single")
    $ level_x_dungeon.add_event("dungeon_00_find_item", "random")
    $ level_x_dungeon.add_event("dungeon_00_find_item", "door")
    
    
    $ dungeon_start(level_x_dungeon)
    
    #$ dungeon.clear_events()
    
    #scene bg dungeon_base
    #call dungeon_event from _call_dungeon_event
    #jump Hangsman_hill

label dungeon_00_walk:
    jump dungeon_loop
    
label dungeon_00_combat_1:
    $ backfromthedungeon = True
    $ battle_manager.start([worm])
    jump dungeon_loop
    
label dungeon_00_combat_2:
    $ backfromthedungeon = True
    $ battle_manager.start([worm, worm])
    jump dungeon_loop
    
label dungeon_00_combat_3:
    $ backfromthedungeon = True
    $ battle_manager.start([lowcriminal, lowcriminal, lowcriminal])
    jump dungeon_loop
    
label dungeon_00_combat_4:
    $ backfromthedungeon = True
    $ battle_manager.start([lowcriminal, criminal])
    jump dungeon_loop
    
label dungeon_00_find_item:
    
    if larsonsmision_5:
        
        scene bg black
        with dissolve
        
        hide screen dungeon_controls
        
        stop music fadeout 1
        play music "ritual_ghoul.ogg" fadein 1
        
        "Paul Larson se encontraba en la habitación."
        "Sus ropas estaban rotas y había sido mordido en varias zonas..."
        "Parecía inconsciente."
        "Ember se acercó corriendo."
        "[current_char.name]  los percibió antes que ella."
        "La alertó con un grito."
        
        stop music
        
        show screen dungeon_controls
        
        $ battle_manager.start([larsonshorror, larsonshorror, larsonshorror])
        
        hide screen dungeon_controls
        
        scene bg black
        with dissolve
        
        stop music fadeout 1
        play music "ritual_ghoul.ogg" fadein 1
    
        "Con los cadáveres de las aberraciones decorando el suelo, Ember enfocó su atención en su tío."
        "Se acercó y se agachó, tocó su cuello."
        "[current_char.name]  miraba la escena desde lo lejos, nerviosa ante la posibilidad que aparecieran mas de aquellas criaturas."
        "Un sonido ahogado de Ember la sobresaltó."
        "Paul estaba levantándola del suelo, agarrándola por el cuello."
        "Su expresión era la de un loco ."
        "Ember forcejeaba en vano."
        "La mano libre de Paul se dirigió hacia el pecho de Ember, y de un solo tirón, rasgó todas sus ropas."
        "Fue entonces cuando [current_char.name]  reparó en la tremenda erección que tenía el hombre."
        
        stop music fadeout 1
        
        jump Paul_Ember_incest
    
    elif larsonsmision_4:
        
        scene bg black
        with dissolve
        
        hide screen dungeon_controls
        
        stop music fadeout 1
        play music "ritual_ghoul.ogg" fadein 1      
    
        "El lugar apestaba a excrementos y humedad."
        "Parecía haber estado cerrado durante siglos, algo que se les antojo imposible al ver lo que allí encontraron."
        "En un extremo de la habitación pudieron ver el cadáver de un hombre."
        "Sus extremidades estaban amputadas, sus ropas hechas jirones y la expresión de su rostro reflejaba un terror absoluto."
        "Un ruido los sobresalto."
        "Los tres consiguieron esconderse tras unas rocas provenientes de un antiguo desprendimiento."
        "Desde la seguridad de su escondite los vieron."
        "Recordaban vagamente a los humanos, pero tanto su deforme postura como sus monstruosos rasgos les daban un aire de roedor."
        "Olisqueaban el ambiente, y de pronto, con ágiles movimientos se dirigían hacia huevos de la pared."
        "No sabían precisar cuantas de esas criaturas había, entraban, salían y volvían."
        "Estaban nerviosas...."
        "[current_char.name] vió una mochila cerca, pudo ver los cartuchos de dinamita."
        "Miro a Paul y a Ember para indicarle con una mirada su descubrimiento."
        "Es curioso como la humanidad solo necesita una mirada para entenderse cuando la situación lo requiere."
        "Como una especie de lenguaje universal..."
        "Paul se acercó para coger la mochila."
        "Sacó varios cartuchos de dinamita y los entrelazó."
        "Después de unos segundos sacó de su bolsillo un mechero."
        "Las dos mujeres asintieron , tragaron saliva justo en el momento en que la chispa de luz dejó paso a la pequeña llama."
        "Las criaturas gritaron, comprendían lo que estaba ocurriendo."
        "Paul Larson lanzó el cartucho lejos, justo a tiempo para cubrirse la cabeza tras las rocas."
        
        play sound "explosion.ogg"
        
        "La explosión fue ensordecedora, la habitación tembló, y las pequeñas piedras cayeron sobre ellos."
        "El humo y el polvo no les dejó percibir gran cosa durante un buen rato."
        "Escuchaban los chillidos de aquellas criaturas deformes."
        "Las detonaciones de las armas apagaron los chillidos, se ocuparon de todas las criaturas que vieron, dañadas por la explosión."
        "El cuerpo de Duncan había sido desplazado por la explosión."
        "Varias de las pequeñas entradas estaban ahora cubiertas de rocas."
        "Paul se agachó, para recoger un anillo."
        "Se lo paso a Ember, que lo miró y asintió con la cabeza."
        "Sin duda era el anillo de Duncan...."

        "De pronto, un extraño sonido los sobresaltó."
        "De una de las aberturas que no había sido sellada por la explosión comenzaron a salir aquellos monstruos."
        
        menu:
            "Esconderse":
                "[current_char.name] consiguió ocultarse tras las rocas."
                "Ember fue igual de rápida, pero no Paul."
                "Escucharon las detonaciones de su arma y los gritos."
                "Podían verlo, disparando y dando golpes a un lado y otro mientras esas criaturas lo agarraban, tratando de inmovilizarlo."
                "A pesar de sus esfuerzos, los monstruos lo superaban en número."
                "Lo arrastraron hacia aquella abertura, mientras Paul profería espantosas maldiciones que solo un escoces sería capaz de concebir."
                "Ember trató de salir en su ayuda, pero [current_char.name] sabía que sería una locura"
                "La retuvo como pudo."
                "Cuando los gritos se apagaron en la lejanía, [current_char.name] habló..."
                emb "Esto no quedara así..."
                player_char "Vamos a buscarlos, los pillaremos por sorpresa, no te preocupes."
                player_char "..."
                emb "Los matare a todos si le hacen daño."
                "Las dos mujeres cogieron sus armas y emprendieron la marcha."
                
                stop music fadeout 1
                show screen dungeon_controls
                
                $ remove_party(paul)
                
                $ larsonsmision_5 = True
                $ backfromthedungeon = True
                jump dungeon_loop
                
            "Combatir":
                
                show screen dungeon_controls
                
                $ battle_manager.start([larsonshorror, larsonshorror])
                $ battle_manager.start([larsonshorror, larsonshorror, larsonshorror])
                
                hide screen dungeon_controls
                
                stop music fadeout 1
                play music "ritual_ghoul.ogg" fadein 1
                
                "Después de matar a varias criaturas, Paul y Ember quedaron extasiados mirando a uno de los cadáveres."
                "[current_char.name] miró también, le costo algo de tiempo deducir que es lo que pasaba."
                "Los ojos..."
                "Todas las criaturas tenían los mismo ojos, unos ojos que ella conocía bien."
                "A pesar de las deformidades, los ojos eran especialmente bonitos."
                "Unos ojos de color azul."
                "Los mismos ojos que parecia que heredaban todos los Larson."
                pl "Oh dios..."
                emb "Vámonos de aquí..."
                emb  "Vámonos ya.."
                "Parecía que aquellas dos personas habían llegado a la misma conclusión."
                "Duncan seguramente lo hubiera descubierto también al descender con la idea de volar todo el lugar por los aires."
                "[current_char.name] pudo imaginar la cara del pobre hombre cuando después de matar fácilmente a varias de estas criaturas se vió reflejado en sus ojos."
                "Los rumores debían ser ciertos..."
                "El último de los Larson que se tiene registro dejó a su prole deformada y sin control."
                "Quien sabe si ellos no siguieron con las blasfemas costumbres de su progenitor, engendrando a su vez más y más abominaciones."
                "Las heridas de Paul eran ya serias, [current_char.name]  estaba muy cansada y Ember no estaba mucho mejor."
                "Pero las criaturas no paraban de aparecer..."
                emb "Bueno..."
                emb "Cuando yo os diga echar a correr fuera de aquí..."
                pl "Qué estas diciendo ?"
                player_char "..."
                "El sonido de más de esas criaturas seguía viniendo de la abertura en la pared"
                "Ember echó correr hacia allí, directo hacia las criaturas."
                pl "Ember!"
                pl "Vuelve aquí!"
                "En cuanto se acercó a la abertura, varias de aquellas monstruosidades saltaron encima de ella de repente."
                "Paul trato de ir hacía ella hasta que [current_char.name]  se interpuso."
                player_char "Tenemos que salir de aquí, no podemos hacer nada ya!"
                player_char "No permitas que lo que acaba de hacer sea en vano!"
                pl "Tsk… estúpida cría."
                "Los dos echaron a correr hacia el exterior, pero al avanzar tan solo unos pasos se dieron cuenta que no les perseguían."
                "Se giraron para ver la dantesca escena..."
                stop music fadeout 1
                jump Ember_creatures
            
    elif boudolfmision_2:
        
        stop music fadeout 1
        play music "investigacion_2.ogg" fadein 1
    
        "Aquel libro parecía muy antiguo."
        "Rebecca abrió el volumen por una página al azar."
        "Notó la presencia de su compañero, cerca suyo."
        "Los nervios hicieron que el libro saltara en sus manos."
        "El le agarró su mano suavemente, evitando que el libro cayera."
        bo "Parece un ejemplar muy antiguo."
        bo "Todo el libro es un ritual."
        bo "He visto más como este en alguno de mis viajes."
        "Rebecca comprobó lo que aquel hombre decía, y era cierto."
        "Estaba segura de que viera lo que viera ese hombre, ella había visto más allá."
        "Dado que ella comprendía las palabras y signos que allí se mostraban."
        "No tardó mucho en darse cuenta que el efecto del ritual sería algún tipo de protección."
        "Pero la maldad blasfema que se desprendían de la lectura hacían ver que esa protección no sería gratis."
        "Decidió guardarlo para estudiarlo más adelante."
        bo "Buena elección."
        bo "Debemos continuar."
        
        stop music fadeout 1
        
        $ current_char.add_item(book_occult)
        $ backfromthedungeon = True
        $ boudolfmision_2 = False
        $ boudolfmision_3 = True
        jump dungeon_loop
    
    
    elif misionpartitura:
        if current_char.check_item(partituremacabre):
            jump dungeon_loop
        
        "En medio de las rocas y los escombros de la estancia, ella pudo observar el papel en el suelo."
        "Como había llegado hasta allí?"
        "No sabía mucho de música, pero sin duda alguna, esa era la obra de Camille Saint Saëns.."
        "La danse macabre."
        "La partitura tenía unos extraños dibujos a los laterales del papel."
        "Escritos en un color rojo sangre."
        
        menu:
            "Examinar partitura" if current_char.hide:
                if current_char.skill_chance("hide"):
                    "Sin duda alguna, se trataba de glifos de invocación pknanotikos."
                    "Copiando esos glifos, y con un mínimo de estudio, podría aprender a invocar algun ente que le ayudaría de alguna forma."
                    "Frenéticamente, apuntó de forma precisa los dibujos, y , guardando la partitura, salió del lugar."
                    
                    $ ghoul.unlock()
### Guyin Cognito agregó misionpartitura = False para evitar bloquear elif misionreloj2
### Guyin Cognito added misionpartitura = False to prevent blocking elif misionreloj2
                    $ misionpartitura = False
                    $ current_char.add_item(partituremacabre)
                    $ current_char.add_item(sspell)
                    $ backfromthedungeon = True
                    jump dungeon_loop
                else:
                    "Lamentablemente, no tenía ní idea de que podían significar esos símbolos."
                    $ backfromthedungeon = True
                    jump dungeon_loop
   
    
    elif misionreloj2:
        
        "Un desello de luz cegó a la mujer."
        "La criatura era horrible, una especie de mezcla entre un extraño gorila y un insecto."
        "No le quedó más opción."
        
        $ battle_manager.start([dimensionalcreature])
        
        "Quien sabe si las heridas mataron a la criatura o si bien esta escapó al infierno del que seguramente provenía."
        "Su cuerpo se descompuso en pequeñas partículas de luz, que inundaron brevemente la estancia."
        "En medio del lugar, ella pudo ver la unica cosa que había dejado atrás."
        "Sin duda era el extraño reloj que había estado buscando."
        "Que relación podía tener todo."
        "Sin dudarlo ni un segundo, cogió el objeto..."
        "Y salió de allí."
        $ current_char.add_item(clock)
### Guyin Cognito agregó misionreloj2 = False para evitar bloquear else dungeon_00_find_item
### Guyin Cognito added misionreloj2 = False to prevent blocking else dungeon_00_find_item
        $ misionreloj2 = False
        $ backfromthedungeon = True
        jump dungeon_loop
        
    else:    
        $ dungeon.unlock_event("dungeon_00_find_item")
        jump items_random_base

label items_random_base:
    
    jump expression renpy.random.choice(["money_1","antiquity","money_5","money_50","money_10","painkillers","bullet","shell"])

label money_1:
    "[current_char.name] encontró 1 dollar."
    $ backfromthedungeon = True
    $ current_char.update_money(1)
    jump dungeon_loop
    
label money_5:
    "[current_char.name] encontró  5 dollars."
    $ backfromthedungeon = True
    $ current_char.update_money(5)
    jump dungeon_loop
    
label money_10:
    "[current_char.name] encontró  10 dollar."
    $ backfromthedungeon = True
    $ current_char.update_money(10)
    jump dungeon_loop
    
label money_50:
    "[current_char.name] encontró  50 dollar."
    $ backfromthedungeon = True
    $ current_char.update_money(50)
    jump dungeon_loop
    
label antiquity:
    "[current_char.name] encontró una antiguedad."
    $ backfromthedungeon = True
    $ current_char.add_item(antiquity)
    jump dungeon_loop
    
label painkillers:
    "[current_char.name] encontró analgésicos."
    $ backfromthedungeon = True
    $ current_char.add_item(painkillers)
    jump dungeon_loop
    
label bullet:
    "[current_char.name] encontró 5 balas."
    $ backfromthedungeon = True
    $ current_char.add_item(bullet,5)
    jump dungeon_loop
    
label shell:
    "[current_char.name] encontró 3 cartuchos."
    $ backfromthedungeon = True
    $ current_char.add_item(shell,3)
    jump dungeon_loop
    

